get set point schedule
curl --request POST \
--url https://api.example.com/v1/devices/hvac/{id}/set_point_schedule/get \
--header 'x-ws-api-key: <api-key>'import requests
url = "https://api.example.com/v1/devices/hvac/{id}/set_point_schedule/get"
headers = {"x-ws-api-key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'x-ws-api-key': '<api-key>'}};
fetch('https://api.example.com/v1/devices/hvac/{id}/set_point_schedule/get', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"blocks": [
{
"startDatetime": "2025-06-02T00:00:00.000Z",
"endDatetime": "2025-06-02T08:00:00.000Z",
"targetTemp": null,
"targetCoolSetpoint": 74,
"targetHeatSetpoint": 68,
"targetMode": "AUTO"
},
{
"startDatetime": "2025-06-02T08:00:00.000Z",
"endDatetime": "2025-06-03T00:00:00.000Z",
"targetTemp": null,
"targetCoolSetpoint": 76,
"targetHeatSetpoint": 66,
"targetMode": "COOL"
}
],
"startDatetime": "2025-06-02T00:00:00.000Z",
"endDatetime": "2025-06-03T00:00:00.000Z",
"tempUnits": "F"
}hvac
get set point schedule
POST
/
v1
/
devices
/
hvac
/
{id}
/
set_point_schedule
/
get
get set point schedule
Authorizations
WattShift API key
Headers
WattShift API Key
Path Parameters
⌘I
